Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Interface Options

All Known Implementing Classes:
  EmbeddedServletOptions, JspC

    public interface Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Method Summary
`boolean` | `genStringAsByteArray()` Are text strings to be generated as byte arrays, if the page is unbuffered?
`boolean` | `genStringAsCharArray()` Are Text strings to be generated as char arrays?
`int` | `getCheckInterval()` Background compile thread check interval in seconds
`boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
`String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`String` | `getCompiler()` Compiler to use.
`String` | `getCompilerSourceVM()` Compiler source VM, e.g.
`String` | `getCompilerTargetVM()` The compiler target VM, e.g.
`boolean` | `getDevelopment()` Is Jasper being used in development mode?
`boolean` | `getErrorOnUseBeanInvalidClassAttribute()` Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`int` | `getInitialCapacity()` Gets initial capacity of HashMap which maps JSPs to their corresponding servlets.
`String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`JspConfig` | `getJspConfig()` Obtain JSP configuration informantion specified in web.xml.
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`int` | `getModificationTestInterval()` Modification test interval.
`boolean` | `getSaveBytecode()` If class files are generated as byte arrays, should they be saved to disk at the end of compilations?
`File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`String` | `getSystemClassPath()` Gets the system class path.
`TagPluginManager` | `getTagPluginManager()` Obtain a Tag Plugin Manager
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `getTrimSpaces()` Should white spaces between directives or actions be trimmed?
`boolean` | `getUsePrecompiled()` Returns the value of the usePrecompiled (or use-precompiled) init param.
`boolean` | `isDefaultBufferNone()` If the buffer attribute for the page directive is not specified, is the default "none"?
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`boolean` | `isSmapDumped()` Indicates whether SMAP info for JSR45 debugging should be dumped to a file.
`boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debugging suppressed?
`boolean` | `isValidationEnabled()`
`boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?

Method Detail

### getErrorOnUseBeanInvalidClassAttribute

    boolean getErrorOnUseBeanInvalidClassAttribute()

  Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

### getKeepGenerated

    boolean getKeepGenerated()

  Are we keeping generated code around?

### isPoolingEnabled

    boolean isPoolingEnabled()

  Returns true if tag handler pooling is enabled, false otherwise.

### getMappedFile

    boolean getMappedFile()

  Are we supporting HTML mapped servlets?

### getSendErrorToClient

    boolean getSendErrorToClient()

  Should errors be sent to client or thrown into stderr?

### getClassDebugInfo

    boolean getClassDebugInfo()

  Should we include debug information in compiled class?

### getCheckInterval

    int getCheckInterval()

  Background compile thread check interval in seconds

### getDevelopment

    boolean getDevelopment()

  Is Jasper being used in development mode?

### isSmapSuppressed

    boolean isSmapSuppressed()

  Is the generation of SMAP info for JSR45 debugging suppressed?

### isSmapDumped

    boolean isSmapDumped()

  Indicates whether SMAP info for JSR45 debugging should be dumped to a file. Ignored is suppressSmap() is true

### getTrimSpaces

    boolean getTrimSpaces()

  Should white spaces between directives or actions be trimmed?

### getIeClassId

    String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

### getScratchDir

    File getScratchDir()

  What is my scratch dir?

### getClassPath

    String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

### getSystemClassPath

    String getSystemClassPath()

  Gets the system class path.

  Returns:
    The system class path

### getCompiler

    String getCompiler()

  Compiler to use.

### getCompilerTargetVM

    String getCompilerTargetVM()

  The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.

### getCompilerSourceVM

    String getCompilerSourceVM()

  Compiler source VM, e.g. 1.3, 1.4, or 1.5.

### getTldLocationsCache

    TldLocationsCache getTldLocationsCache()

  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Returns:
    the instance of the TldLocationsCache for the web-application.

### getJavaEncoding

    String getJavaEncoding()

  Java platform encoding to generate the JSP page servlet.

### getFork

    boolean getFork()

  boolean flag to tell Ant whether to fork JSP page compilations.

### getJspConfig

    JspConfig getJspConfig()

  Obtain JSP configuration informantion specified in web.xml.

### isXpoweredBy

    boolean isXpoweredBy()

  Is generation of X-Powered-By response header enabled/disabled?

### getTagPluginManager

    TagPluginManager getTagPluginManager()

  Obtain a Tag Plugin Manager

### genStringAsCharArray

    boolean genStringAsCharArray()

  Are Text strings to be generated as char arrays?

### genStringAsByteArray

    boolean genStringAsByteArray()

  Are text strings to be generated as byte arrays, if the page is unbuffered?

### isDefaultBufferNone

    boolean isDefaultBufferNone()

  If the buffer attribute for the page directive is not specified, is the default "none"?

### getModificationTestInterval

    int getModificationTestInterval()

  Modification test interval.

### getUsePrecompiled

    boolean getUsePrecompiled()

  Returns the value of the usePrecompiled (or use-precompiled) init param.

### getInitialCapacity

    int getInitialCapacity()

  Gets initial capacity of HashMap which maps JSPs to their corresponding servlets.

### isValidationEnabled

    boolean isValidationEnabled()

### getSaveBytecode

    boolean getSaveBytecode()

  If class files are generated as byte arrays, should they be saved to disk at the end of compilations?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.